From dfb7544703095a492a367635b945afcb4bddc7b2 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Fri, 16 Jan 2015 21:34:36 -0800
Subject: [PATCH 3003/3005] Fix <local> and <iterator> when building with Lion
 and newer Availability.h

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 include/iterator | 4 ++--
 include/locale   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git llvm_release_38/projects/libcxx/include/iterator macports_release_38/projects/libcxx/include/iterator
index 8d9b311..e07b1b8 100644
--- llvm_release_38/projects/libcxx/include/iterator
+++ macports_release_38/projects/libcxx/include/iterator
@@ -926,8 +926,8 @@ public:
     _LIBCPP_INLINE_VISIBILITY bool failed() const _NOEXCEPT {return __sbuf_ == 0;}
 
 #if !defined(__APPLE__) || \
-    (defined(__MAC_OS_X_VERSION_MIN_REQUIRED) && __MAC_OS_X_VERSION_MIN_REQUIRED > __MAC_10_8) || \
-    (defined(__IPHONE_OS_VERSION_MIN_REQUIRED) && __IPHONE_OS_VERSION_MIN_REQUIRED > __IPHONE_6_0)
+    (defined(__MAC_OS_X_VERSION_MIN_REQUIRED) && defined(__MAC_10_8) && __MAC_OS_X_VERSION_MIN_REQUIRED > __MAC_10_8) || \
+    (defined(__IPHONE_OS_VERSION_MIN_REQUIRED) && defined(__IPHONE_6_0) && __IPHONE_OS_VERSION_MIN_REQUIRED > __IPHONE_6_0)
 
     template <class _Ch, class _Tr>
     friend
diff --git llvm_release_38/projects/libcxx/include/locale macports_release_38/projects/libcxx/include/locale
index 84cb5a5..f862c85 100644
--- llvm_release_38/projects/libcxx/include/locale
+++ macports_release_38/projects/libcxx/include/locale
@@ -1474,8 +1474,8 @@ __pad_and_output(_OutputIterator __s,
 }
 
 #if !defined(__APPLE__) || \
-    (defined(__MAC_OS_X_VERSION_MIN_REQUIRED) && __MAC_OS_X_VERSION_MIN_REQUIRED > __MAC_10_8) || \
-    (defined(__IPHONE_OS_VERSION_MIN_REQUIRED) && __IPHONE_OS_VERSION_MIN_REQUIRED > __IPHONE_6_0)
+    (defined(__MAC_OS_X_VERSION_MIN_REQUIRED) && defined(__MAC_10_8) && __MAC_OS_X_VERSION_MIN_REQUIRED > __MAC_10_8) || \
+    (defined(__IPHONE_OS_VERSION_MIN_REQUIRED) && defined(__IPHONE_6_0) && __IPHONE_OS_VERSION_MIN_REQUIRED > __IPHONE_6_0)
 
 template <class _CharT, class _Traits>
 _LIBCPP_HIDDEN
-- 
2.10.1

